# Makefile

TARGET = ngram pronounce maxentropy
#SRCS    = $(PACKAGE).cc
#HEADS   = 
OBJS    = $(SRCS:.cc=.o)

#INC =
#DEBUG =

# C++ (*.cc)
CXX     = g++
CXXFLAGS= -O2 -Wall $(INC) $(DEBUG)

all: $(TARGET)
ngram:
	${CXX} ${CXXFLAGS} ${INC} -o ngram ngram.cc
pronounce:
	${CXX} ${CXXFLAGS} ${INC} -o pronounce pronounce.cc
maxentropy:
	${CXX} ${CXXFLAGS} ${INC} -o maxentropy maxentropy.cc

clean:
	rm -f $(TARGET) *~
